---
title: rattler-build bump-recipe
---
<!--- This file is autogenerated. Do not edit manually! -->
# [rattler-build](index.md) bump-recipe

Bump a recipe to a new version

## Usage
```
rattler-build bump-recipe [OPTIONS]
```

## Options
- <a id="arg---recipe" href="#arg---recipe">`--recipe (-r) <RECIPE>`</a>
:  Path to the recipe file (recipe.yaml). Defaults to current directory
<br>**default**: `.`
- <a id="arg---version" href="#arg---version">`--version <VERSION>`</a>
:  The new version to bump to. If not specified, will auto-detect the latest version from the source URL's provider (GitHub, PyPI, crates.io)
- <a id="arg---include-prerelease" href="#arg---include-prerelease">`--include-prerelease`</a>
:  Include pre-release versions when auto-detecting (e.g., alpha, beta, rc)
<br>**default**: `false`
- <a id="arg---check-only" href="#arg---check-only">`--check-only`</a>
:  Only check for updates without modifying the recipe
<br>**default**: `false`
- <a id="arg---dry-run" href="#arg---dry-run">`--dry-run`</a>
:  Perform a dry-run: show what would be changed without writing to the file
<br>**default**: `false`
- <a id="arg---keep-build-number" href="#arg---keep-build-number">`--keep-build-number`</a>
:  Keep the current build number instead of resetting it to 0
<br>**default**: `false`

## Description
Bump a recipe to a new version

This command updates the version and SHA256 checksum(s) in a recipe file. It can either use a specified version or auto-detect the latest version from supported providers (GitHub, PyPI, crates.io).

